<?php

if (!defined('ABSPATH')) exit; // Exit if accessed directly

/****************************************
check theme compatibility
****************************************/
function slope_activate_plugin() {
    if (!function_exists('slope_init')) {
        wp_die(__('This plugin can only work with the Slope theme.', 'slope-core'));
    }
}

register_activation_hook(__FILE__, 'slope_activate_plugin');


function slope_change_theme() {
    if (!function_exists('slope_init')) {
      deactivate_plugins('slope-core/index.php'); 
    }
}

add_action('admin_init', 'slope_change_theme');