<?php

/**
 * Plugin Name:       Slope core
 * Plugin URI:        https://themeforest.net/user/gfxpartner
 * Description:       Additional functionality for the slope premium wordpress theme.
 * Version:           1.0.6
 * Requires at least: 5.2
 * Requires PHP:      7.0
 * Author:            GFXPARTNER
 * Author URI:        https://themeforest.net/user/gfxpartner
 * License:           GNU General Public License v2+
 * License URI:       https://www.gnu.org/licenses/gpl-2.0.html
 * Text Domain:       slope-core
 */

/****************************************
exit if accessed out of wordpress
****************************************/
if (!function_exists('add_action')) {
    exit;
}

/****************************************
include files
****************************************/
require_once('compatibility/compatibility.php');
require_once('widgets/recent-posts.php');
require_once('cpt/cpt.php');

if (!class_exists('ReduxFramework') && file_exists(plugin_dir_path(__FILE__) . '/theme-options/framework.php')) {
    require_once('theme-options/framework.php');
}

if (!isset($redux_demo) && file_exists(plugin_dir_path(__FILE__) . '/theme-options/config.php')) {
    require_once('theme-options/config.php');
}